import { BlockRenderer, BlockRuleOptions, BlockRule, LexerReturns, NewRenderer, Options } from './Interfaces';
export declare class BlockLexer {
    protected self: typeof BlockLexer;
    private static baseRules;
    private static pedanticRules;
    private static gfmRules;
    private static extraRules;
    private isExtra;
    private isGfm;
    private links;
    private options;
    private rules;
    private tokens;
    static blockRenderers: BlockRenderer[];
    static newRules: BlockRule[];
    constructor(self: typeof BlockLexer, options?: object);
    static lex(src: string, options?: Options, top?: boolean): LexerReturns;
    static setRule(regExp: RegExp, renderer: NewRenderer, options?: BlockRuleOptions): void;
    static unsetRule(regExp: RegExp): void;
    private static getBaseRules;
    private static getPedanticRules;
    private static getGfmRules;
    private static getExtraRules;
    private setRules;
    private getTokens;
    private splitCells;
}
