import { InlineRule, InlineRuleOptions, Links, NewRenderer, Options } from './Interfaces';
import { Renderer } from './Renderer';
export declare class InlineLexer {
    protected self: typeof InlineLexer;
    protected links: Links;
    protected options: Options;
    private static baseRules;
    private static pedanticRules;
    private static gfmRules;
    private static breaksRules;
    private static extraRules;
    private inLink;
    private inRawBlock;
    private isExtra;
    private isGfm;
    private renderer;
    private rules;
    private defaultTextBreak;
    static isTextBreakSync: boolean;
    static newRules: InlineRule[];
    constructor(self: typeof InlineLexer, links: Links, options: Options, renderer?: Renderer);
    static output(src: string, links: Links, options: Options): string;
    static setRule(regExp: RegExp, renderer: NewRenderer, options?: InlineRuleOptions): void;
    static unsetRule(regExp: RegExp): void;
    private static getBaseRules;
    private static getPedanticRules;
    private static getGfmRules;
    private static getBreaksRules;
    private static getExtraRules;
    private setRules;
    private escapes;
    private findClosingBracket;
    private sortByPriority;
    output(nextPart: string): string;
    private outputLink;
    private smartypants;
    private mangle;
}
