import { Footnotes, Options, TablecellFlags } from './Interfaces';
export declare class Renderer {
    private _footnotes;
    _headings: string[];
    options: Options;
    constructor(options?: Options);
    blockquote(quote: string): string;
    code(code: string, language?: string, escaped?: boolean): string;
    footnote(footnotes: Footnotes): string;
    heading(text: string, level: number, raw: string, ends: string): string;
    hr(text?: string): string;
    html(html: string): string;
    list(body: string, ordered?: boolean, start?: string | number, isTaskList?: boolean): string;
    listitem(text: string, checked?: boolean | null): string;
    paragraph(text: string): string;
    table(header: string, body: string): string;
    tablerow(content: string): string;
    tablecell(content: string, flags: TablecellFlags): string;
    br(): string;
    codespan(text: string): string;
    del(text: string): string;
    em(text: string): string;
    fnref(refname: string): string;
    image(href: string, title: string, text: string): string;
    link(href: string, title: string, text: string): string;
    strong(text: string): string;
    text(text: string): string;
}
export declare class TextRenderer {
    br(): string;
    html(html: string): string;
    codespan(text: string): string;
    del(text: string): string;
    em(text: string): string;
    image(href: string, title: string, text: string): string;
    link(href: string, title: string, text: string): string;
    strong(text: string): string;
    text(text: string): string;
}
